<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/transitional.dtd">

<html>

  <head>
    <title>Der Vergleichsoperator ===</title>
    <link rel="stylesheet" type="text/css" href="../../src/self.css">
    <meta name="description"    content="Der Vergleichsoperator ===">
    <meta name="keywords"       content="Vergleichsoperator, PHP, Operatoren, gleich, identisch, Variablen, Typ, integer, string">
    <meta name="author"         content="Damir Enseleit, mail@selfphp3.de">
    <meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
    <meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp3.de">
    <meta name="DC.Date"        content="2003-07-17T16:35:29+02:00">
    <meta name="DC.Identifier"  content="http://www.selfphp.info/fragen_antworten/operatoren_und_ausdruecke/vergleichsoperator_typ.html">
    <meta name="DC.Language"    content="de">
    <meta name="DC.Rights"      content="../../editorial/index.html">
    <meta name="SELF.Firstdate" content="2001-08-02T02:08+01:00">
    <meta name="SELF.Version"   content="1">
    <meta name="SELF.Pagetype"  content="Ordner">
    <meta name="SELF.Path"      content="SELFPHP == ../../index.html">
  </head>

  <body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">
    <table width="100%" border="0" cellspacing="0" cellpadding="4">
      <tr> 
        <td bgcolor="#FFEEDD" colspan="3" class="nav"><a name="top" class="an"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Fragen &amp; Antworten</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Operatoren und Ausdr&uuml;cke</b></a></td>
      </tr>
      <tr> 
        <td width="11%" bgcolor="#EEEEEE" class="doc"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SELFPHP"></td>
        <td bgcolor="#EEEEEE" valign="bottom" class="doc"><h2>Der Vergleichsoperator ===</h2></td>
        
    <td bgcolor="#EEEEEE" align="right" valign="bottom" class="doc">&nbsp; </td>
      </tr>
      <tr>
        <td bgcolor="#EEEEEE" align="center" valign="top" class="doc"><img src="../../src/dokx.gif" width="30" height="20" border="0" alt="Informationsseite" /></td>
        <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#frage"><b>Frage</b></a><br />
          <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#antwort"><b>Antwort</b></a><br />
          <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br />
          <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br />
          <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#erlaeuterung"><b>Erl&auml;uterung</b></a></td>
      </tr>
      <tr>
        <td colspan="3" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="frage" class="an">Frage</a></h2>
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode">Was bewirkt der Operator === ?</td>
      </tr>
    </table>
    <br /><br />
    <table width="100%" class="doc">
      <tr>
        <td><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben" /></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten" /></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="antwort" class="an">Antwort</a></h2>
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode">Bei dem Operator === handelt es sich um einen Vergleichsoperator. Hier wird nicht<br />nur &uuml;berpr&uuml;ft, ob der Inhalt sondern auch der Typ beider Variablen identisch ist.</td>
      </tr>
    </table>
    <br /><br />
    <table width="100%" class="doc">
      <tr>
        <td><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben" /></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten" /></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="beispiel" class="an">Beispiel</a></h2>
    
<img src="../../src/dokf.gif" width="15" height="10" border="0" /> <a href="http://www.selfphp.com/fragen_antworten/operatoren_und_ausdruecke/vergleichsoperator_typ_beispiel.php" target="_blank"><b>Anzeigebeispiel: 
So sieht's aus (Online)</b></a> <br />
<br />
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode"><code><font color="#000000">
<font color="#0000BB">&lt;?PHP
<br />&nbsp;
<br />&nbsp;$a&nbsp;</font><font color="#007700">=&nbsp;</font><font color="#0000BB">4</font><font color="#007700">;
<br />&nbsp;</font><font color="#0000BB">$b&nbsp;</font><font color="#007700">=&nbsp;</font><font color="#0000BB">4</font><font color="#007700">;
<br /> 
<br />&nbsp;if(&nbsp;</font><font color="#0000BB">$a&nbsp;</font><font color="#007700">==&nbsp;</font><font color="#0000BB">$b&nbsp;</font><font color="#007700">)
<br /> &nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;</font><font color="#DD0000">'Der Inhalt beider Variablen ist identisch!'</font><font color="#007700">;
<br />
<br />&nbsp;echo&nbsp;</font><font color="#DD0000">'&lt;br&gt;'</font><font color="#007700">;&nbsp;&nbsp;&nbsp;&nbsp;
<br /> 
<br />&nbsp;if(&nbsp;</font><font color="#0000BB">$a&nbsp;</font><font color="#007700">===&nbsp;</font><font color="#0000BB">$b&nbsp;</font><font color="#007700">)
<br /> &nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;</font><font color="#DD0000">'Der Inhalt und Typ beider Variablen ist identisch!'</font><font color="#007700">;
<br />&nbsp;&nbsp;&nbsp;&nbsp;
<br />&nbsp;echo&nbsp;</font><font color="#DD0000">'&lt;br&gt;'</font><font color="#007700">;
<br /> 
<br />&nbsp;</font><font color="#0000BB">$c&nbsp;</font><font color="#007700">=&nbsp;</font><font color="#0000BB">4</font><font color="#007700">;
<br />&nbsp;</font><font color="#0000BB">$d&nbsp;</font><font color="#007700">=&nbsp;</font><font color="#DD0000">"4"</font><font color="#007700">;
<br /> 
<br />&nbsp;if(&nbsp;</font><font color="#0000BB">$c&nbsp;</font><font color="#007700">==&nbsp;</font><font color="#0000BB">$d&nbsp;</font><font color="#007700">)
<br /> &nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;</font><font color="#DD0000">'Der Inhalt beider Variablen ist identisch!'</font><font color="#007700">;
<br />
<br />&nbsp;echo&nbsp;</font><font color="#DD0000">'&lt;br&gt;'</font><font color="#007700">;
<br /> 
<br />&nbsp;if(&nbsp;</font><font color="#0000BB">$c&nbsp;</font><font color="#007700">===&nbsp;</font><font color="#0000BB">$d&nbsp;</font><font color="#007700">)
<br /> &nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;</font><font color="#DD0000">'Der Inhalt und Typ beider Variablen ist identisch!'</font><font color="#007700">;
<br />&nbsp;else
<br /> &nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;</font><font color="#DD0000">'Der Inhalt und Typ beider Variablen ist nicht identisch!'</font><font color="#007700">;
<br />&nbsp;&nbsp;&nbsp;&nbsp;
<br /></font><font color="#0000BB">?&gt;</font>
</font>
</code></td>
      </tr>
    </table>
    <br /><br />
    <table width="100%" class="doc">
      <tr>
        <td><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben" /></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten" /></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="ausgabe" class="an">Ausgabe</a></h2>
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode">Der Inhalt beider Variablen ist identisch!<br />Der Inhalt und Typ beider Variablen ist identisch!<br />Der Inhalt beider Variablen ist identisch!<br />Der Inhalt und Typ beider Variablen ist nicht identisch!</td>
      </tr>
    </table>
    <br /><br />
    <table width="100%" class="doc">
      <tr>
        <td><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben" /></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten" /></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="erlaeuterung" class="an">Erl&auml;uterung</a></h2>
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode">Die ersten beiden Variablen ($a und $b) sind beide vom Inhalt und Typ her identisch. Beide Variablen<br />sind hier vom Typ <b>integer</b>.<br/ >Die Variablen $c und $d sind zwar vom Inhalt her gleich aber vom Typ unterschiedlich. $c ist vom Typ<br /><b>integer</b>, w&auml;rend $d vom Typ <b>string</b> ist.</td>
      </tr>
    </table>
    <br /><br />
    <table  width="100%" border="0" cellspacing="0" cellpadding="4">
      <tr>
        <td colspan="3" class="doc"><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a></td>
      </tr>
      <tr>
        <td width="11%" align="right" class="doc">weiter:<a href=""><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
        <td colspan="2"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> <a href=""><b></b></a></td>
      </tr>
      <tr>
        <td align="right" class="doc">zur&uuml;ck:<a href="index.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
        <td colspan="2"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> <a href="index.html"><b>Operatoren und Ausdr&uuml;cke</b></a></td>
      </tr>
      <tr>
        <td colspan="3" class="doc">&#160;</td>
      </tr>
      <tr>
        <td bgcolor="#FFEEDD" colspan="3" class="nav"><a name="bottom" class="an"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Fragen &amp; Antworten</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Operatoren und Ausdr&uuml;cke</b></a></td>
      </tr>
      <tr>
        <td colspan="3"><a name="bottom" class="an"><br>&copy; 2001, 2002, 2003</a> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail"> <a href="mailto:mail@selfphp.com">Damir Enseleit, mail@selfphp.com</a>&nbsp;,&nbsp;&nbsp;<a href="http://www.selfphp.info/impressum.html">Impressum</a></td>
      </tr>
    </table>
  </body>

</html>